#!/bin/bash
if [ $# -lt 1 ]
then
  arecord -f cd -t wav -c 2 -Dplughw:1,0 record.wav
else
  if [ $# -lt 2 ] && [ "$1" != "-h" ] && [ "$1" != "--help" ]
  then
    arecord -f cd -t wav -c 2 -D$1 record.wav
  else
    if [ "$1" == "-h" ] || [ "$1" == "--help" ]
    then
      echo "arecord.sh [Alsa Device to record from] [file to save to]"
      echo ""
      echo "Alsa Device to record from : 		i.e. plughw:1,0"
      echo "file to save to : 		i.e. /home/user/test.wav"
      echo ""
      echo "arecord.sh by Leszek Lesner, released under the terms of GPL"
    else
      arecord -f cd -t wav -c 2 -D$1 $2
    fi
  fi
  
fi