#!/bin/bash
# 
# save the desktop theme config files of kde

echo "This script is deprecated and only works with KDE SC 4"

exit 0

KDEPROFILEPATH=$(kde4-config --localprefix)
PROFILES=$(echo $KDEPROFILEPATH)share/apps/desktopthemeprofiles
# Create profile folder if does not exist
mkdir -p $PROFILES

function stop_plasma() {
        if [ $XDG_CURRENT_DESKTOP == "KDE" ]; then
		kquitapp plasma-desktop		
        	kquitapp kwin
	fi
}

function start_plasma() {
        if [ $XDG_CURRENT_DESKTOP == "KDE" ]; then
		kstart plasma-desktop		
        	kstart kwin
	fi
}

if [ "$#" -eq 0 ]; then
        PROFILE=$(date +%Y%m%d-%H%M)
        mkdir -p $PROFILES/$PROFILE
	cp -i $(echo $KDEPROFILEPATH)share/config/kdeglobals $PROFILES/$PROFILE/kdeglobals
	cp -i $(echo $KDEPROFILEPATH)share/config/plasma-desktop-appletsrc $PROFILES/$PROFILE/plasma-desktop-appletsrc
	cp -i $(echo $KDEPROFILEPATH)share/config/plasmarc $PROFILES/$PROFILE/plasmarc
	cp -i $(echo $KDEPROFILEPATH)share/config/kwinrc $PROFILES/$PROFILE/kwinrc
	cp -i $(echo $KDEPROFILEPATH)share/config/kwindeKoratorrc $PROFILES/$PROFILE/kwindeKoratorrc
        cp -i ~/.config/qtcurve/stylerc $PROFILES/$PROFILE/stylerc
        cp -i ~/.gtkrc-2.0 $PROFILES/$PROFILE/gtkrc-2.0
        cp -i ~/.config/gtk-3.0/settings.ini $PROFILES/$PROFILE/settings.ini
elif [ "$*" == "-l" ]; then
        ls $PROFILES
elif [ "$1" == "-r" ]; then
        if [ ! "$2" == "" ]; then
                stop_plasma
        	cp $PROFILES/$2/kdeglobals $(echo $KDEPROFILEPATH)share/config/kdeglobals
                cp $PROFILES/$2/plasma-desktop-appletsrc $(echo $KDEPROFILEPATH)share/config/plasma-desktop-appletsrc
        	cp $PROFILES/$2/plasmarc $(echo $KDEPROFILEPATH)share/config/plasmarc
        	cp $PROFILES/$2/kwinrc $(echo $KDEPROFILEPATH)share/config/kwinrc
        	cp $PROFILES/$2/kwindeKoratorrc $(echo $KDEPROFILEPATH)share/config/kwindeKoratorrc
                cp $PROFILES/$2/stylerc ~/.config/qtcurve/stylerc
                cp $PROFILES/$PROFILE/gtkrc-2.0 ~/.gtkrc-2.0
		cp $PROFILES/$PROFILE/settings.ini ~/.config/gtk-3.0/settings.ini
                start_plasma
        fi
elif [ "$1" == "-s" ]; then
        if [ ! "$2" == "" ]; then
        	mkdir -p $PROFILES/$2
        	cp -i $(echo $KDEPROFILEPATH)share/config/kdeglobals $PROFILES/$2/kdeglobals 
                cp -i $(echo $KDEPROFILEPATH)share/config/plasma-desktop-appletsrc $PROFILES/$2/plasma-desktop-appletsrc 
        	cp -i $(echo $KDEPROFILEPATH)share/config/plasmarc $PROFILES/$2/plasmarc 
        	cp -i $(echo $KDEPROFILEPATH)share/config/kwinrc $PROFILES/$2/kwinrc 
        	cp -i $(echo $KDEPROFILEPATH)share/config/kwindeKoratorrc $PROFILES/$2/kwindeKoratorrc 
                cp -i ~/.config/qtcurve/stylerc $PROFILES/$2/stylerc
                cp -i ~/.gtkrc-2.0 $PROFILES/$PROFILE/gtkrc-2.0
		cp -i ~/.config/gtk-3.0/settings.ini $PROFILES/$PROFILE/settings.ini
		echo "Saved $2."
        fi
elif [ "$1" == "-h" ] || [ "$1" == "--help" ]; then
	echo "Save KDE Plasma Appearance (Kwin Decoration, Plasma Theme, Icon Theme, GTK Settings, Qt Settings, Plasmoids)"
        echo " "
	echo "Executed with no argument saves the current setup with the current timestamp."
        echo "-s <Profilename>		Save current setup under profilename"
        echo "-r <Profilename>		Restore setup with profilename"
        echo "-l 				List all known profiles"
else 
	echo "Save KDE Plasma Appearance (Kwin Decoration, Plasma Theme, Icon Theme, GTK Settings, Qt Settings, Plasmoids)"
        echo " "
	echo "Executed with no argument saves the current setup with the current timestamp."
        echo "-s <Profilename>		Save current setup under profilename"
        echo "-r <Profilename>		Restore setup with profilename"
        echo "-l 				List all known profiles"
fi
